"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeployCommand = void 0;
const abstract_command_1 = require("./abstract.command");
const schematics_1 = require("../lib/schematics");
class DeployCommand extends abstract_command_1.AbstractCommand {
    load(program) {
        program
            .command('deploy  [functions] ')
            //     .option('-i, --index [index]', 'index File Path.')
            .alias('d')
            .description('Deploy Microfunctions function .')
            .action((functions, command) => __awaiter(this, void 0, void 0, function* () {
            const options = [];
            const inputs = [];
            inputs.push({ name: 'name', value: functions });
            inputs.push({ name: 'functions', value: functions });
            inputs.push({ name: 'sourceCode', value: command.sourceCode });
            inputs.push({ name: 'packageJson', value: command.packageJson });
            inputs.push({ name: 'environments', value: command.environments });
            inputs.push({ name: 'memory', value: command.memory });
            inputs.push({ name: 'replicas', value: command.replicas });
            inputs.push({ name: 'runtime', value: command.runtime });
            inputs.push({ name: 'executedName', value: command.executedName });
            inputs.push({ name: 'namespace', value: command.namespace });
            inputs.push({ name: 'idNamespace', value: command.idNamespace });
            inputs.push({ name: 'cliKey', value: command.clikey });
            inputs.push({ name: 'id', value: command.id });
            options.push({
                name: 'collection',
                value: command.collection || schematics_1.Collection.MICROFUNCTION,
            });
            yield this.action.handle(inputs, options);
        }));
    }
}
exports.DeployCommand = DeployCommand;
