import { MemoryEnums } from "../memory/memory.enums";
import { ReplicasEnums } from "../replicas/replicas.enums";
import { RuntimeEnums } from "../runtime/runtime.enums";
import { Input } from "../../commands";
export declare type ApiRequestFunctions = {
    name: string;
    sourceCode: string;
    namespace: string;
    idNamespace: string;
    executedName: string;
    environments: string;
    memory: MemoryEnums;
    replicas: ReplicasEnums;
    runtime: RuntimeEnums;
    packageJson: any;
    idfunctions: string | undefined;
};
export declare type ApiHeader = {
    key: string;
    value: string;
};
export declare type KeyValue<T, U> = {
    key: T;
    value: U;
};
export declare type ApiMethod = 'POST';
export declare class ApiService {
    private _clikey;
    private _method;
    private _body?;
    private _url;
    private _action;
    private _headers;
    constructor(clikey: string);
    get clikey(): string;
    set clikey(clikey: string);
    action(action: string): ApiService;
    setUrl(url: string): ApiService;
    setBody(body: ApiRequestFunctions): ApiService;
    setMethod(method: ApiMethod): ApiService;
    setHeaders(headers: KeyValue<string, string>[]): this;
    handle(): Promise<any>;
}
export declare const getAllNamespaces: (inputs: Input[]) => Promise<any>;
export declare const getAllCluster: (inputs: Input[]) => Promise<any>;
export declare const runDeploy: (bodyFunctions: any, inputs: Input[]) => Promise<any>;
export declare const runStart: (bodyFunctions: any, inputs: Input[]) => Promise<any>;
export declare const runStop: (bodyFunctions: any, inputs: Input[]) => Promise<any>;
export declare const runLogs: (bodyFunctions: any, inputs: Input[]) => Promise<any>;
export declare const runStatus: (bodyFunctions: any, inputs: Input[]) => Promise<any>;
export declare const runReplicas: (bodyFunctions: any, inputs: Input[]) => Promise<any>;
export declare class RequestBody<T> {
    private _requestBody;
    constructor(_requestBody: T);
    get requestBody(): T;
    set requestBody(newRequestBody: T);
}
