"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrofunctionConfigurationLoader = exports.TypeFile = void 0;
const defaults_1 = require("./defaults");
var TypeFile;
(function (TypeFile) {
    TypeFile["JSON"] = "JSON";
    TypeFile["TEXT"] = "TEXT";
})(TypeFile = exports.TypeFile || (exports.TypeFile = {}));
class MicrofunctionConfigurationLoader {
    constructor(reader) {
        this.reader = reader;
    }
    load(name, type = TypeFile.JSON) {
        return __awaiter(this, void 0, void 0, function* () {
            const content = name
                ? yield this.reader.read(name)
                : yield this.reader.readAnyOf([
                    '.microfunctions-cli.json',
                    'microfunctions-cli.json',
                ]);
            if (!content) {
                return defaults_1.defaultConfiguration;
            }
            if (type === TypeFile.JSON) {
                const fileConfig = JSON.parse(content);
                if (fileConfig.compilerOptions) {
                    return Object.assign(Object.assign(Object.assign({}, defaults_1.defaultConfiguration), fileConfig), { compilerOptions: Object.assign(Object.assign({}, defaults_1.defaultConfiguration.compilerOptions), fileConfig.compilerOptions) });
                }
                return Object.assign(Object.assign({}, defaults_1.defaultConfiguration), fileConfig);
            }
            else {
                return content;
            }
        });
    }
}
exports.MicrofunctionConfigurationLoader = MicrofunctionConfigurationLoader;
