"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authGuard = void 0;
const questions_1 = require("../questions/questions");
const project_utils_1 = require("./project-utils");
const inquirer = require("inquirer");
exports.authGuard = (inputs) => __awaiter(void 0, void 0, void 0, function* () {
    yield askForCliKeyformation(inputs);
});
const askForCliKeyformation = (inputs) => __awaiter(void 0, void 0, void 0, function* () {
    const prompt = inquirer.createPromptModule();
    const cliKeyInput = project_utils_1.getApplicationClikeynput(inputs);
    if (!cliKeyInput.value || cliKeyInput.value === '') {
        const message = 'login to MicroFunctions.io to generate your  cliKey : ';
        const questions = [questions_1.generateInput('cliKey', message)('')];
        const answers = yield prompt(questions);
        project_utils_1.replaceInputMissingInformation(inputs, answers);
    }
});
