import { Answers } from 'inquirer';
import { Configuration, ProjectConfiguration } from '../configuration';
import { Input } from "../../commands";
import { SchematicOption } from "../schematics";
export declare function shouldAskForProject(schematic: string, configurationProjects: {
    [key: string]: ProjectConfiguration;
}, appName: string): boolean;
export declare const getApplicationNameInput: (inputs: Input[]) => any;
export declare function shouldGenerateSpec(configuration: Required<Configuration>, schematic: string, appName: string, specValue: boolean, specPassedAsInput?: boolean): any;
export declare function askForProjectName(promptQuestion: string, projects: string[]): Promise<Answers>;
export declare function moveDefaultProjectToStart(configuration: Configuration, defaultProjectName: string, defaultLabel: string): string[];
export declare const print: (color?: string | null) => (str?: string) => void;
export declare const retrieveCols: () => number;
export declare const replaceInputMissingInformation: (inputs: Input[], answers: Answers) => Input[];
export declare const isEmpty: (value: any) => boolean;
export declare const getApplicationClikeynput: (inputs: Input[]) => Input | undefined;
export declare const getInputsValue: (inputs: Input[], name: string) => string | boolean | undefined;
export declare const relativeSourceRoot: (inputs: Input[]) => string;
export declare const loadSourceCode: (inputs: Input[], answers: any) => Promise<void>;
export declare const loadDependencies: (inputs: Input[], answers: any) => Promise<void>;
export declare const replicas: (inputs: Input[], answers: any) => Promise<void>;
export declare const memory: (inputs: Input[], answers: any) => Promise<void>;
export declare const runtime: (inputs: Input[], answers: any) => Promise<void>;
export declare const functionsName: (inputs: Input[], answers: any) => Promise<void>;
export declare const getAppName: (inputs: Input[]) => Promise<string | boolean | undefined>;
export declare const functionsId: (inputs: Input[], answers: any) => Promise<string | boolean | undefined>;
export declare const executedName: (inputs: Input[], answers: any) => Promise<string | boolean | undefined>;
export declare const namespace: (inputs: Input[], answers: any) => Promise<string | boolean | undefined>;
export declare const idNamespace: (inputs: Input[], answers: any) => Promise<string | boolean | undefined>;
export declare const loadEnv: (inputs: Input[], answers: any) => Promise<void>;
export declare const clikey: (inputs: Input[], answers: any) => Promise<string | boolean>;
export declare const updatePackageJson: (args: Input[], options: Input[]) => Promise<void>;
export declare const mapSchematicOptions: (inputs: Input[]) => SchematicOption[];
export declare const selectMemory: (inputs: Input[]) => Promise<void>;
export declare const selectReplicas: (inputs: Input[]) => Promise<void>;
export declare const selectRuntime: (inputs: Input[]) => Promise<void>;
export declare const askForMemory: () => Promise<any>;
export declare const getApplicationNamespaceInput: (inputs: Input[]) => Input;
export declare const getApplicationClusterInput: (inputs: Input[]) => Input;
export declare const getApplicationExecutedNameInput: (inputs: Input[]) => Input;
export declare const isInRootDirectory: (inputs: Input[], extraFiles?: string[] | undefined) => Promise<Required<Configuration>>;
export declare const printCheckMessage: (message: string) => void;
